

drivers/acpi/pci_irq.c: In function `acpi_pci_irq_disable':
drivers/acpi/pci_irq.c:495: error: too few arguments to function `acpi_pci_irq_lookup'
drivers/acpi/pci_irq.c:502: error: too few arguments to function `acpi_pci_irq_derive'

Wild-assed guess:

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/acpi/pci_irq.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/acpi/pci_irq.c~bk-acpi-acpi_pci_irq_disable-build-fix drivers/acpi/pci_irq.c
--- 25/drivers/acpi/pci_irq.c~bk-acpi-acpi_pci_irq_disable-build-fix	2005-03-12 01:57:08.000000000 -0800
+++ 25-akpm/drivers/acpi/pci_irq.c	2005-03-12 01:57:08.000000000 -0800
@@ -482,14 +482,14 @@ acpi_pci_irq_disable (
 	 * First we check the PCI IRQ routing table (PRT) for an IRQ.
 	 */
  	gsi = acpi_pci_irq_lookup(dev->bus, PCI_SLOT(dev->devfn), pin,
-				  &edge_level, &active_high_low);
+				  &edge_level, &active_high_low, NULL);
 	/*
 	 * If no PRT entry was found, we'll try to derive an IRQ from the
 	 * device's parent bridge.
 	 */
 	if (gsi < 0)
  		gsi = acpi_pci_irq_derive(dev, pin,
-					  &edge_level, &active_high_low);
+					  &edge_level, &active_high_low, NULL);
 	if (gsi < 0)
 		return_VOID;
 
_
